Subject: RE: bug#6799: 24.0.50; Please add dired-details.el to Emacs [patch]

From: "Drew Adams" <[email-masked]>
Date: Mon, 18 Feb 2013 06:38:58 -0800

> > I guess the invisible text property should be set back to nil.
> > dired-hide-details-mode will not work from thereon in this buffer.
> >
> > Is this a real issue?
> 
> It's not an issue to me, I just accidentally noticed that effect.
> I don't know how likely is that someone does this routinely
> that requires adding a function to remove invisible text property
> to be called from `change-major-mode-hook'.

IMO, it is a real issue, of course.  We are breaking a reasonable use of our
editor: to change the mode and do something different with the same text.

Users should be able to change the mode and then act on the text in various ways
- e.g., treating it as just a file listing.

Yes, there is also `list-directory' that could be used for that, but that's not
a reason not to fix this, at least if the fix is straightforward.  Is the fix
onerous or something?